<ui:composition xmlns:g="http://www.ihe.net/gazelle" xmlns:a4j="http://richfaces.org/a4j"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:rich="http://richfaces.org/rich" xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:h="http://java.sun.com/jsf/html"
                xmlns="http://www.w3.org/1999/xhtml">
    <dl class="dl-horizontal">
        <s:decorate template="/layout/display/_data_list_item.xhtml">
            <ui:define name="label">#{messages['net.ihe.gazelle.xval.RulesKeyword']}</ui:define>
            <h:outputText value="#{ruleToDisplay.keyword}"/>
        </s:decorate>
        <s:decorate template="/layout/display/_data_list_item.xhtml">
            <ui:define name="label">#{messages['net.ihe.gazelle.xval.LinkedValidator']}</ui:define>
            <g:link value="#{ruleToDisplay.gazelleCrossValidator}"/>
        </s:decorate>
        <s:decorate template="/layout/display/_data_list_item.xhtml">
            <ui:define name="label">#{messages['net.ihe.gazelle.xval.Version']}</ui:define>
            <h:outputText value="#{ruleToDisplay.version}"/>
        </s:decorate>
        <s:decorate template="/layout/display/_data_list_item.xhtml"
                    rendered="#{s:hasRole('admin_role') or s:hasRole('test_editor_role')}">
            <ui:define name="label">#{messages['net.ihe.gazelle.xval.Status']}</ui:define>
            <h:outputText value="#{ruleToDisplay.status.value}"/>
        </s:decorate>
        <s:decorate template="/layout/display/_data_list_item.xhtml">
            <ui:define name="label">#{messages['net.ihe.gazelle.xval.Severity']}</ui:define>
            <h:outputText value="#{ruleToDisplay.level}"/>
        </s:decorate>
        <s:decorate template="/layout/display/_data_list_item.xhtml">
            <ui:define name="label">#{messages['net.ihe.gazelle.xval.LastModificationBy']}</ui:define>
            <h:outputText value="#{ruleToDisplay.lastModifier}"/>
        </s:decorate>
        <s:decorate template="/layout/display/_data_list_item.xhtml">
            <ui:define name="label">#{messages['net.ihe.gazelle.xval.LastModificationOn']}</ui:define>
            <g:date value="#{ruleToDisplay.lastModifiedDate}"/>
        </s:decorate>
        <s:decorate template="/layout/display/_data_list_item.xhtml">
            <ui:define name="label">#{messages['net.ihe.gazelle.xval.Description']}</ui:define>
            <h:outputText value="#{ruleToDisplay.description}"/>
        </s:decorate>
        <s:decorate template="/layout/display/_data_list_item.xhtml"
                    rendered="#{not empty ruleToDisplay.textualExpression}">
            <ui:define name="label">#{messages['net.ihe.gazelle.xval.TextualExpression']}</ui:define>
            <code>
                <h:outputText value="#{ruleToDisplay.textualExpression}" escape="false"/>
            </code>
        </s:decorate>
        <s:decorate template="/layout/display/_data_list_item.xhtml" rendered="#{not empty ruleToDisplay.assertions}">
            <ui:define name="label">#{messages['net.ihe.gazelle.xval.CoveredAssertions']}</ui:define>
            <ui:include src="/xvalidation/common/listAssertions.xhtml">
                <ui:param name="assertions" value="#{ruleToDisplay.assertions}"/>
            </ui:include>
        </s:decorate>
    </dl>
</ui:composition>
